tbb::interface5::concurrent_priority_queue< T, Compare, A >::my_functor_t Class Reference
Collaboration diagram for tbb::interface5::concurrent_priority_queue< T, Compare, A >::my_functor_t:

## Public Member Functions

| my_functor_t ()
| my_functor_t (concurrent_priority_queue< T, Compare, A > *cpq_)
void | operator() (cpq_operation *op_list)

## Private Attributes

concurrent_priority_queue< T, Compare, A > * | cpq

## Detailed Description

### template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>
class tbb::interface5::concurrent_priority_queue< T, Compare, A >::my_functor_t

Definition at line 347 of file concurrent_priority_queue.h.

## Constructor & Destructor Documentation

## my_functor_t() [1/2]

template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>

tbb::interface5::concurrent_priority_queue< T, Compare, A >::my_functor_t::my_functor_t | ( |  | ) |

inline

Definition at line 350 of file concurrent_priority_queue.h.

{}

## my_functor_t() [2/2]

template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>

tbb::interface5::concurrent_priority_queue< T, Compare, A >::my_functor_t::my_functor_t | ( | concurrent_priority_queue< T, Compare, A > * | cpq_ | ) |

inline

Definition at line 351 of file concurrent_priority_queue.h.

: cpq(cpq_) {}

## Member Function Documentation

## operator()()

template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>

void tbb::interface5::concurrent_priority_queue< T, Compare, A >::my_functor_t::operator() | ( | cpq_operation * | op_list | ) |

inline

Definition at line 352 of file concurrent_priority_queue.h.

{
cpq->handle_operations(op_list);
}

References tbb::interface5::concurrent_priority_queue< T, Compare, A >::handle_operations().

Here is the call graph for this function:

## Member Data Documentation

## cpq

template<typename T, typename Compare = std::less<T>, typename A = cache_aligned_allocator<T>>

concurrent_priority_queue<T, Compare, A>* tbb::interface5::concurrent_priority_queue< T, Compare, A >::my_functor_t::cpq

private

Definition at line 348 of file concurrent_priority_queue.h.

The documentation for this class was generated from the following file:

- concurrent_priority_queue.h

tbb::interface5::concurrent_priority_queue::my_functor_t::cpq
concurrent_priority_queue< T, Compare, A > * cpq
Definition: concurrent_priority_queue.h:348

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.